type __VLS_Props = {
    /** Enable the horizontal scrollbar */
    xScrollable?: boolean;
    /** Delay in ms before the scrollbar fades out after scrolling stops */
    scrollDelay?: number;
    /** Delay in ms before the scrollbar fades out after mouse leaves */
    leaveDelay?: number;
};
declare var __VLS_1: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_1) => any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {
    scrollTo(options: ScrollToOptions): void;
    scrollBy(options: ScrollToOptions): void;
    el: HTMLElement | null;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {
    xScrollable: boolean;
    scrollDelay: number;
    leaveDelay: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
